org.appng.formtags

## Enum FormElement.InputTag

- java.lang.Object
- - java.lang.Enum<FormElement.InputTag>
  - - org.appng.formtags.FormElement.InputTag

- All Implemented Interfaces:
    Serializable, Comparable<FormElement.InputTag>
  Enclosing class:
    FormElement

      public static enum FormElement.InputTag
      extends Enum<FormElement.InputTag>

  Defines the possible HTML Tags that a `FormElement` can represent.
  Author:
    Matthias Müller

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INPUT` `<input type="..."/>`
    `OPTION` `<option />`, only valid within a `<select />`
    `SELECT` `<select />`
    `TEXTAREA` `<textarea />`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormElement.InputTag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FormElement.InputTag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXTAREA

          public static final FormElement.InputTag TEXTAREA

      `<textarea />`

    - #### SELECT

          public static final FormElement.InputTag SELECT

      `<select />`

    - #### OPTION

          public static final FormElement.InputTag OPTION

      `<option />`, only valid within a `<select />`

    - #### INPUT

          public static final FormElement.InputTag INPUT

      `<input type="..."/>`
      See Also:
        `FormElement.InputType`

  - ### Method Detail

    - #### values

          public static FormElement.InputTag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormElement.InputTag c : FormElement.InputTag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormElement.InputTag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.